Subject: Re: [PATCH] commit: Add -f, --fixes <commit> option to add Fixes: line

From: Junio C Hamano <[email-masked]>
Date: Thu, 31 Oct 2013 10:20:25 -0700

Duy Nguyen <[email-masked]> writes:

> OK how about, if $GIT_DIR/hooks/something is a directory, then the
> directory must contain a file named "index", listing all the hooks of
> type "something". All the hooks in "index" will be executed in the
> listing order.

Hooks that take arbitrary amount of information from the body read
their standard input. How are your multiple hooks supposed to
interact?

Hooks that prevent you from doing something stupid signal allow/deny
with their exit code. Do you fail a commit if any of your pre-commit
hook fails, or is it OK to commit as long as one of them says so?
If the former, do all the hooks described in the index still run, or
does the first failure short-cut the remainder?